<?php
/* To Integrate your website with your MagCast mag your developper will need to tweak this file and put it somewhere on your site.
When done you can click on the "External INtegration" option and add the url to this file as well as the Secret Key.

When a user wants to sync his membership with his magazine he will need to open the mag, tap on the subscribe buttton and then tap on "Current Subscribers"

He will need to insert his username and password and tap on the continue button

When done, the information will be send to this file for authentication as well as the secret key you have entered in the MagCast Platform

The first this that needs to be done is to verify the secret key
*/

// Step 1: Change XXXX below with the secret key you will use in the MagCast Platform.
define('SECRET_KEY', 'XXXX');


// DO NOT CHANGE ANYTHING AFTER THIS !!!

	// Check if secret key is valid
	if (!isset($_POST['secretKey']) 
	    || $_POST['secretKey'] != SECRET_KEY) {
	    $response = array(
	        'status' => 'error',
	        'message' => 'Server error'
	    );
	    echo json_encode($response);
	    die();
	}	
	$action = isset($_POST['action']) ? $_POST['action'] : '';
	if (empty($action)) {
	    $response = array(
	        'status' => 'success'
	    );
	    echo json_encode($response);
	    die();
	}	
	$userName = isset($_POST['userName']) ? $_POST['userName'] : '';
	$userPassword = isset($_POST['userPassword']) ? $_POST['userPassword'] : '';

// DO NOT CHANGE ANYTHING BEFORE THIS !!!


// Step 2: Now that the request has been validated, the username and password need to be checked in your database. You will grab the username and password from the request and return data depending on the status. For example below demouser@domain.com and Mypassword are the demo username and password.

if (($userName != 'demouser@domain.com')
        || ($userPassword != 'Mypassword')) {
    /** Use this code to return error message **/
    $response = array(
        'status' => 'error',
        'result' => 'Username and/or Password Invalid'
    );
    echo json_encode($response);
    die();
    /** End: Use this code to return error message **/
}



$subscriptionsList = array();
switch ($action) {
    case 'login':

/* Step 3: If the username and password exit on your website and are correct then you need to return some information regarding this user subscription on your website. 

The first time the user enters his username and password on the app to sync with your website,
Return all his subscription(s) start date and end date as shown below -- */

        // Note: For Start and End date use unix timestamp
                
        /* EXAMPLE: This is how you should return the data
        
        $subscriptionsList[] = array(
            'startDate' => 1325376000,
            'endDate' => 1362528000
        );
        $subscriptionsList[] = array(
            'startDate' => 1329350400,
            'endDate' => 1364774400
        );
        $subscriptionsList[] = array(
            'startDate' => 1355097600,
            'endDate' => 1383392571
        );
        
        End of Example */


// DO NOT CHANGE ANYTHING AFTER THIS !!    
        break;

    case 'check_subscription':
// DO NOT CHANGE ANYTHING BEFORE THIS !!



/* Step 4: Now that the user has synched with your website, everytime he opens the magazine, the app will send data to your website to check his status and make sure he is still one of your website members. The username and password he entered the first time will be sent to your website. If he is still a member, you need to return his Current subscription Start Date and End Date as shown below. If he is No longer a member, return Nothing */

        // For start and end date, usse unix timestamp
        
        /* EXAMPLE: This is how you should return the data
        
        $subscriptionsList[] = array(
            'startDate' => 1355097600,
            'endDate' => 1397530423
        );
        
        End of Example */


// DO NOT CHANGE ANYTHING AFTER THIS !!        
        break;
}

$response = array(
    'status' => 'success',
    'subscriptionsList' => $subscriptionsList
);
echo json_encode($response);